package com.qmth.themis.admin.api;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.themis.business.constant.SystemConstant;
import com.qmth.themis.business.entity.TBClientVersion;
import com.qmth.themis.business.service.TBClientVersionService;
import com.qmth.themis.common.util.Result;
import com.qmth.themis.common.util.ResultUtil;
import io.swagger.annotations.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Collections;

/**
 * @Description: 客户端 前端控制器
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/11/20
 */
@Api(tags = "客户端Controller")
@RestController
@RequestMapping("/${prefix.url.admin}/client")
public class TBClientVersionController {
    private final static Logger log = LoggerFactory.getLogger(TBClientVersionController.class);

    @Resource
    TBClientVersionService tbClientVersionService;

    @ApiOperation(value = "客户端版本新增/编辑接口")
    @RequestMapping(value = "/save", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "{\"success\":true}", response = Result.class)})
    public Result save(@ApiParam(value = "客户端版本信息", required = true) @RequestBody TBClientVersion tbClientVersion) {
        tbClientVersionService.saveOrUpdate(tbClientVersion);
        return ResultUtil.ok(Collections.singletonMap(SystemConstant.SUCCESS, true));
    }

    @ApiOperation(value = "客户端版本查询接口")
    @RequestMapping(value = "/query", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "客户端信息", response = TBClientVersion.class)})
    public Result query(@ApiParam(value = "分页页码", required = true) @RequestParam int pageNumber,
                        @ApiParam(value = "分页数", required = true) @RequestParam int pageSize) {
        return ResultUtil.ok(tbClientVersionService.clientVersionQuery(new Page<>(pageNumber, pageSize)));
    }
}